Please help me pachi-py install error


#1
C:\Users\soc16\gym>pip install gym[all]
Requirement already satisfied: gym[all] in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages
Requirement already satisfied: numpy>=1.10.4 in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Requirement already satisfied: requests>=2.0 in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Requirement already satisfied: six in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Requirement already satisfied: pyglet>=1.2.0 in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Requirement already satisfied: box2d-py in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Requirement already satisfied: atari_py>=0.0.17 in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages\atari_py-0.0.18-py3.5.egg (from gym[all])
Requirement already satisfied: Pillow in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Requirement already satisfied: PyOpenGL in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Requirement already satisfied: mujoco_py>=0.4.3 in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Requirement already satisfied: imageio in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Collecting pachi-py>=0.0.19 (from gym[all])
  Using cached pachi-py-0.0.21.tar.gz
Requirement already satisfied: keras in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Requirement already satisfied: theano in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from gym[all])
Requirement already satisfied: olefile in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from Pillow->gym[all])
Requirement already satisfied: pyyaml in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from keras->gym[all])
Requirement already satisfied: scipy>=0.14 in c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages (from theano->gym[all])
Installing collected packages: pachi-py
  Running setup.py install for pachi-py ... error
    Complete output from command c:\users\soc16\appdata\local\programs\python\python35-32\python.exe -u -c "import setuptools, tokenize;__file__='C:\\Users\\soc16\\AppData\\Local\\Temp\\pip-build-a2ytvee0\\pachi-py\\setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record C:\Users\soc16\AppData\Local\Temp\pip-cjfzojxh-record\install-record.txt --single-version-externally-managed --compile:
    running install
    running build
    running build_py
    creating build
    creating build\lib.win32-3.5
    creating build\lib.win32-3.5\pachi_py
    copying pachi_py\__init__.py -> build\lib.win32-3.5\pachi_py
    running egg_info
    writing requirements to pachi_py.egg-info\requires.txt
    writing pachi_py.egg-info\PKG-INFO
    writing dependency_links to pachi_py.egg-info\dependency_links.txt
    writing top-level names to pachi_py.egg-info\top_level.txt
    reading manifest file 'pachi_py.egg-info\SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    writing manifest file 'pachi_py.egg-info\SOURCES.txt'
    copying pachi_py\Makefile -> build\lib.win32-3.5\pachi_py
    copying pachi_py\cypachi.cpp -> build\lib.win32-3.5\pachi_py
    copying pachi_py\cypachi.h -> build\lib.win32-3.5\pachi_py
    copying pachi_py\cypachi.pyx -> build\lib.win32-3.5\pachi_py
    copying pachi_py\exceptions.hpp -> build\lib.win32-3.5\pachi_py
    copying pachi_py\extra_unused.pyx -> build\lib.win32-3.5\pachi_py
    copying pachi_py\goutil.cpp -> build\lib.win32-3.5\pachi_py
    copying pachi_py\goutil.hpp -> build\lib.win32-3.5\pachi_py
    copying pachi_py\ptr.hpp -> build\lib.win32-3.5\pachi_py
    creating build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\.gitignore -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\ANDROID.txt -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\CMakeLists.txt -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\COPYING -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\CREDITS -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\HACKING -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\Makefile -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\Makefile.lib -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\README -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\TODO -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\board.c -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\board.h -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\book.dat.bad -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\book.dat.extra -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\chat.c -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\chat.h -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\dcnn.cpp -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\dcnn.h -> build\lib.win32-3.5\pachi_py\pachi
    copying pachi_py\pachi\debug.h -> build\lib.win32-3.5\pachi_py\pachi
.
.
.
.
.

    Could not build pachi-py: Command 'cd pachi_py; mkdir -p build && cd build && cmake ../pachi && make -j4' returned non-zero exit status 1
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "C:\Users\soc16\AppData\Local\Temp\pip-build-a2ytvee0\pachi-py\setup.py", line 48, in <module>
        include_package_data=True,
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\distutils\core.py", line 148, in setup
        dist.run_commands()
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\distutils\dist.py", line 955, in run_commands
        self.run_command(cmd)
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\distutils\dist.py", line 974, in run_command
        cmd_obj.run()
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\site-packages\setuptools\command\install.py", line 61, in run
        return orig.install.run(self)
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\distutils\command\install.py", line 539, in run
        self.run_command('build')
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\distutils\cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\distutils\dist.py", line 974, in run_command
        cmd_obj.run()
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\distutils\command\build.py", line 135, in run
        self.run_command(cmd_name)
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\distutils\cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\distutils\dist.py", line 974, in run_command
        cmd_obj.run()
      File "C:\Users\soc16\AppData\Local\Temp\pip-build-a2ytvee0\pachi-py\setup.py", line 9, in run
        subprocess.check_call("cd pachi_py; mkdir -p build && cd build && cmake ../pachi && make -j4", shell=True)
      File "c:\users\soc16\appdata\local\programs\python\python35-32\lib\subprocess.py", line 271, in check_call
        raise CalledProcessError(retcode, cmd)
    subprocess.CalledProcessError: Command 'cd pachi_py; mkdir -p build && cd build && cmake ../pachi && make -j4' returned non-zero exit status 1

    ----------------------------------------
Command "c:\users\soc16\appdata\local\programs\python\python35-32\python.exe -u -c "import setuptools, tokenize;__file__='C:\\Users\\soc16\\AppData\\Local\\Temp\\pip-build-a2ytvee0\\pachi-py\\setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record C:\Users\soc16\AppData\Local\Temp\pip-cjfzojxh-record\install-record.txt --single-version-externally-managed --compile" failed with error code 1 in C:\Users\soc16\AppData\Local\Temp\pip-build-a2ytvee0\pachi-py\

i’m using python 3.5 and visual studio 2015 community and Windows 10
How do I install it?


#2

Maybe it’s because Openai currently only support Linux and OSX running Python 2.7 or 3.5,while windows is not supported now.


#3

So if I do not care about that issue?


#4

I am afraid so. If you want to get pachi-py, you can try to install it on Linux or OSX .